#!/bin/bash

adb=platform-tools/adb

 function update_apk {
    export XML_URL='https://storage.googleapis.com/navistream2.appspot.com/PROD/navistream.xml'
    echo -e "Updating Navistream.apk from server..."

    export APK_URL=$(curl -s --cacert bin/ca-bundle.crt ${XML_URL} | grep apkUrl | sed -E 's/(<\/?apkUrl>)|\s//g')

    curl -s --cacert bin/ca-bundle.crt -o navistream.apk.tmp ${APK_URL}

    if [ $? -gt 0 ]; then
      export STATUS=$?
      echo "Error downloading navistream apk ${STATUS}"
      
    fi

    if [ -f "navistream.apk" ]; then
      rm navistream.apk
    fi
    mv navistream.apk.tmp navistream.apk
    echo -e "PASS"
 }

 echo "Waiting for device..."
 
$adb wait-for-device

A=$($adb shell getprop sys.boot_completed | tr -d '\r')

while [ "$A" != "1" ]; do
    sleep 2
    A=$($adb shell getprop sys.boot_completed | tr -d '\r')
done

update_apk

echo "Uninstalling Navistream..."
echo ""
$adb uninstall ca.stti.navistream.vehicleClient.kiosk
echo ""
echo ""

sleep 1
echo "Installing latest version of Navistream..."
echo ""
$adb install -r navistream.apk
echo ""
echo ""

sleep 1
echo "Starting Navistream..."
echo ""
$adb shell am start ca.stti.navistream.vehicleClient.kiosk
echo ""
echo ""
